Vulnerability CVE-2007-4549


Published: 2007-08-27   Modified: 2012-02-12

Description:
Multiple buffer overflows in ALPass 2.7 English and 3.02 Korean allow user-assisted remote attackers to execute arbitrary code via an ALPass DB (APW) file containing (1) a long file-key or (2) a "Site Information and Folder entry" with a ciphertext_length value much larger than the plaintext_length value.

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:M/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.8/10
6.4/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Altools -> Alpass 

 References:
http://vuln.sg/alpass27-en.html
http://www.securityfocus.com/bid/25435
https://exchange.xforce.ibmcloud.com/vulnerabilities/36235
https://exchange.xforce.ibmcloud.com/vulnerabilities/36257

Copyright 2022, cxsecurity.com

 

Back to Top